VULKAN_HPP_NAMESPACE::SurfaceFormatKHR Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkSurfaceFormatKHR const & () const
| operator VkSurfaceFormatKHR & ()
bool | operator== (SurfaceFormatKHR const &rhs) const
bool | operator!= (SurfaceFormatKHR const &rhs) const

## Data Fields

Format | format
ColorSpaceKHR | colorSpace

## Detailed Description

Definition at line 29119 of file vulkan.hpp.

## Member Function Documentation

## operator VkSurfaceFormatKHR &()

VULKAN_HPP_NAMESPACE::SurfaceFormatKHR::operator VkSurfaceFormatKHR & | ( |  | ) |

inline

Definition at line 29126 of file vulkan.hpp.

{
return *reinterpret_cast<VkSurfaceFormatKHR*>(this);
}

## operator VkSurfaceFormatKHR const &()

VULKAN_HPP_NAMESPACE::SurfaceFormatKHR::operator VkSurfaceFormatKHR const & | ( |  | ) | const

inline

Definition at line 29121 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSurfaceFormatKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SurfaceFormatKHR::operator!= | ( | SurfaceFormatKHR const & | rhs | ) | const

inline

Definition at line 29137 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::SurfaceFormatKHR::operator== | ( | SurfaceFormatKHR const & | rhs | ) | const

inline

Definition at line 29131 of file vulkan.hpp.

{
return ( format == rhs.format )
&& ( colorSpace == rhs.colorSpace );
}

References colorSpace, and format.

Referenced by operator!=().

## Field Documentation

## colorSpace

ColorSpaceKHR VULKAN_HPP_NAMESPACE::SurfaceFormatKHR::colorSpace

Definition at line 29143 of file vulkan.hpp.

Referenced by operator==().

## format

Format VULKAN_HPP_NAMESPACE::SurfaceFormatKHR::format

Definition at line 29142 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

format
GLint GLint GLsizei GLsizei GLsizei GLint GLenum format
Definition: SDL_opengl.h:1572
VULKAN_HPP_NAMESPACE::SurfaceFormatKHR::operator==
bool operator==(SurfaceFormatKHR const &rhs) const
Definition: vulkan.hpp:29131
VkSurfaceFormatKHR
Definition: vulkan_core.h:4745
VULKAN_HPP_NAMESPACE::SurfaceFormatKHR::colorSpace
ColorSpaceKHR colorSpace
Definition: vulkan.hpp:29143